Subject: Re:

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Wed, 15 Jan 1997 10:01:02 +1100 (EST)

Colin,
Does your OS use statis libs for ls etc
If so did you move/create the necessary files/links for the ls libraries on
the NFS mointpoint.

try tracing the calls made by ls to see which libraries get called (and
which calls fail from the chrooted directory).

I also recall someone on the list talking about specific configs necessary
for wuftpd using NFS partitions but I ditched the mail and cant recall the
content.

>After moving our nfs server from one machine to another I get the
>following errors from wu-ftpd. The ftpd binaries are local to the machine
>all the rest of the files are mounted via nfs. Anyone else seen anything
>like this before?
>
>hatch 20 % ftp mongoose
>Connected to mongoose.cs.unm.edu.
>220 mongoose FTP server (Version wu-2.4(5) Tue Jan 7 11:34:44 MST 1997) ready.
>Name (mongoose:colinj): ftp
>331 Guest login ok, send your complete e-mail address as password.
>Password:
>230 Guest login ok, access restrictions apply.
>Remote system type is UNIX.
>Using binary mode to transfer files.
>ftp> ls
>200 PORT command successful.
>425 Can't create data socket (0.0.0.0,20): Bad file number.
>
>
>Why must I feel like that? Why must I chase the cat? 
>Colin E. Johnson | [email-masked] | http://www.unm.edu/~colinj/
>NeXTMail, MIMEmail, textmail, send it all, I'm easy.
>
>
>
Geoff Terry
Systems & Network Support
ACR Net
Sapphire Coast NSW 2550
Australia
Ph 064 923677
Mobile 015 668 227
Fax 064 924594